Subject: bug#20722: closed (Re: bug#20722: Cannot rerun 'guix system init')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jun 2015 12:14:05 +0000

Your bug report

#20722: Cannot rerun 'guix system init'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20722: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20722
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20722: Cannot rerun 'guix system init'
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Jun 2015 14:12:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Bavier <[email-masked]> skribis:

> I ran into this issue while doing a fresh install of Guix 0.8.2.  I
> had a typo in my declaration of the grub device (I had unintentionally
> left out the leading "/" on "/dev/sda"), so 'guix system init' failed
> when setting up grub.  I fixed the typo in the OS config and reran
> 'guix system init' but was greeted by an error about existing store
> directories.
>
> I ended up needing to remove the /mnt/var, /mnt/grub, and
> /mnt/gnu/store before being able to successfully rerun 'guix system
> init'.

Fixed by 78acff7, thanks!

Ludo’.

Subject: Cannot rerun 'guix system init'
From: Eric Bavier <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jun 2015 11:43:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I ran into this issue while doing a fresh install of Guix 0.8.2.  I had 
a typo in my declaration of the grub device (I had unintentionally left 
out the leading "/" on "/dev/sda"), so 'guix system init' failed when 
setting up grub.  I fixed the typo in the OS config and reran 'guix 
system init' but was greeted by an error about existing store 
directories.

I ended up needing to remove the /mnt/var, /mnt/grub, and /mnt/gnu/store 
before being able to successfully rerun 'guix system init'.

It would be useful for newcomers if recovering from mistakes were more 
trivial.

-- 
`~Eric